Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Stages

Get Stage Reviews
GET /serviceforms/{serviceFormId}/forms/{formId}/stages/{stageId}/reviews
https://api.relesysapp.net/api/v1.1/serviceforms/{serviceFormId}/forms/{formId}/stages/{stageId}/reviews
Get a all reviews for the specified stage with ID stageId.

Please note: This endpoint is only available if stages are enabled on the service form module as well as stage approvals on the specific form.

status - This field displays the status of the review. Currently, the available statuses to filter on are:
  • Pending
  • Approved
  • Rejected

Scopes: relesys.api, relesys.api:read, relesys.api.serviceform, relesys.api.serviceform:read
URL Path
serviceFormId string / guid required
formId string / guid required
stageId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
fillingId string / guid Filterable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
reviewDateTime datetimeoffset Filterable Sortable optional
stageId string / guid Filterable optional
status string Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"614906ba-a251-490d-9591-9e472611bd20","stageId":"68e685da-a99a-4791-a81e-831cacc92b4f","fillingId":"29551d04-5ad8-4f32-a7a8-0013b7bcb768","reviewDateTime":"2026-10-18T14:42:59.6159859+00:00","creationDateTime":"2026-10-18T14:42:59.6159859+00:00","lastModifiedDateTime":"2026-10-20T14:42:59.6159859+00:00","userId":"b887073b-01c4-47e7-892f-c33dbd72ea0b","status":"Approved"},{"id":"5c5d96a1-eb09-4fa8-adfe-3b25fa2ace7c","stageId":"54cc6399-9865-4c69-8428-fac0caf720fb","fillingId":"0bdb6dc0-76a6-4ccc-8028-98d9fbe780a0","reviewDateTime":"2026-10-12T14:42:59.6159859+00:00","creationDateTime":"2026-10-18T14:42:59.6159859+00:00","lastModifiedDateTime":null,"userId":"e309a34a-7b3b-4520-badd-c7b443fabf57","status":"Rejected"}]}
object
  count integer      
  ⯈ data array[object]      
   creationDateTime datetimeoffset      
   fillingId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   reviewDateTime datetimeoffset      
   stageId string / guid      
   status string      
   userId string / guid      
  nextUrl string      
  previousUrl string